<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 49.10 Quản lý đơn hàng (CRUD)</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <!-- Popper Development version -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="Task 49.10.js"></script>
</head>

<body>
    <div class="container">
        <h2 style="text-align: center;">DANH SÁCH ĐƠN HÀNG</h2>
        <div class="row jumbotron p-3 m-0">
            <div class="col-md-12">
                <div class="row form-group">
                    <div class="col-3">
                        <button class="btn btn-warning" id="btn-add-order">Thêm đơn hàng</button>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-2">
                        <label>Loại pizza</label>
                    </div>
                    <div class="col-sm-3">
                        <select id="select-pizza-type" class="form-control">
                            <option value = "">All</option>
                            <option value = "Seafood">Hải sản</option>
                            <option value = "Hawaii">Hawaii</option>
                            <option value = "Bacon">Thịt hun khói</option>
                          </select>
                    </div>
                    <div class="col-2">
                        <label>Trạng thái</label>
                    </div>
                    <div class="col-sm-3">
                        <select id="select-order-status" class="form-control">
                            <option value = "">All</option>
                            <option value = "open">Open</option>
                            <option value = "cancel">Đã hủy</option>
                            <option value = "confirmed">Đã xác nhận</option>
                          </select>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-success" id="btn-filter-order">Lọc dữ liệu</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="container-fluid">
        <table class="table table-bordered table-striped table-hover" id="order-table">
            <thead>
                <tr>
                    <th>Order ID</th>
                    <th>Kích cỡ combo</th>
                    <th>Loại pizza</th>
                    <th>Nước uống</th>
                    <th>Thành tiền</th>
                    <th>Họ và tên</th>
                    <th>Số điện thoại</th>
                    <th>Trạng thái</th>
                    <th>Chi tiết</th>
                </tr>
        </table>
    </div>

    <!-- Create order modal -->
    <div id="insert-order-modal" class="modal fade " tabindex="-1">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Thêm đơn hàng</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">

                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-kich-co">Kích cỡ</label>
                        </div>
                        <div class="col-sm-4">
                            <select id="input-create-kich-co" class="form-control">
                                    <option value = "">Chọn kích cỡ</option>
                                    <option value = "S">S</option>
                                    <option value = "M">M</option>
                                    <option value = "L">L</option>
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-duong-kinh">Đường kính</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-duong-kinh" name="duongkinh" placeholder="Đường kính" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-suon">Sườn</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-suon" name="suon" placeholder="Sườn" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-salad">Salad</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-salad" name="salad" placeholder="Salad" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-so-luong-nuoc">Số lượng nước</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-so-luong-nuoc" name="soluongnuoc" placeholder="Số lượng nước" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-thanh-tien">Thành tiền</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-thanh-tien" name="thanhtien" placeholder="Thành tiền" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-loai-pizza">Loại pizza</label>
                        </div>
                        <div class="col-sm-4">
                            <select id="select-loai-pizza" class="form-control">
                                    <option value = "">Chọn loại pizza</option>
                                    <option value = "Seafood">Hải sản</option>
                                    <option value = "Hawaii">Hawaii</option>
                                    <option value = "Bacon">Thịt hun khói</option>
                                </select>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-id-voucher">ID Voucher</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-create-id-voucher" name="idvoucher" placeholder="ID Voucher" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-id-loai-nuoc-uong">ID Loại nước uống</label>
                        </div>
                        <div class="col-sm-4">
                            <select id="select-id-loai-nuoc-uong" class="form-control">
                                    <option value = "">Chọn ID loại nước uống</option>
                                </select>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-ho-ten">Họ và tên</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-ho-ten" name="hoten" placeholder="Họ và tên" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-email">Email</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-email" name="email" placeholder="Email" class="form-control">
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-so-dien-thoai">Số điện thoại</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-so-dien-thoai" name="sodienthoai" placeholder="Số điện thoại" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-dia-chi">Địa chỉ</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-dia-chi" name="diachi" placeholder="Địa chỉ" class="form-control">
                        </div>
                        <div class="col-sm-2">
                            <label for="input-create-loi-nhan">Lời nhắn</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-loi-nhan" name="loinhan" placeholder="Lời nhắn" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-create-trang-thai">Trạng thái</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-create-trang-thai" name="trangthai" value="open" class="form-control">
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-insert-order">Thêm đơn hàng mới</button>
                    <button class="btn btn-danger" id="btn-insert-cancel" data-dismiss="modal">Hủy bỏ</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Create update order modal -->
    <div id="edit-order-modal" class="modal fade " tabindex="-1">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Sửa đơn hàng</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">

                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-kich-co">Kích cỡ</label>
                        </div>
                        <div class="col-sm-4">
                            <input id="input-update-kich-co" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-duong-kinh">Đường kính</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-duong-kinh" name="duongkinh" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-suon">Sườn</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-suon" name="suon" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-salad">Salad</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-salad" name="salad" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-so-luong-nuoc">Số lượng nước</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-so-luong-nuoc" name="soluongnuoc" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-thanh-tien">Thành tiền</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-thanh-tien" name="thanhtien" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-loai-pizza">Loại pizza</label>
                        </div>
                        <div class="col-sm-4">
                            <input id="select-update-loai-pizza" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-id-voucher">ID Voucher</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="number" id="input-update-id-voucher" name="idvoucher" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-id-loai-nuoc-uong">ID Loại nước uống</label>
                        </div>
                        <div class="col-sm-4">
                            <input id="select-update-id-loai-nuoc-uong" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-ho-ten">Họ và tên</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-update-ho-ten" name="hoten" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-email">Email</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-update-email" name="email" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-so-dien-thoai">Số điện thoại</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-update-so-dien-thoai" name="sodienthoai" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="input-update-dia-chi">Địa chỉ</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-update-dia-chi" name="diachi" class="form-control" disabled>
                        </div>
                        <div class="col-sm-2">
                            <label for="input-update-loi-nhan">Lời nhắn</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" id="input-update-loi-nhan" name="loinhan" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="select-update-trang-thai">Trạng thái</label>
                        </div>
                        <div class="col-sm-4">
                            <select type="text" id="select-update-trang-thai" name="trangthai" class="form-control">
                                <option value ="open">Open</option>
                                <option value = "confirmed">Đã xác nhận</option>
                                <option value = "cancel">Đã hủy</option>
                            </select>
                        </div>
                    
                    </div>

                </div>
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-modal-update-order">Cập nhật đơn hàng</button>
                    <button class="btn btn-danger" id="btn-update-cancel" data-dismiss="modal">Hủy bỏ</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Delete confirm modal -->
    <div>
        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Order Delete Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Bạn có chắc chắn muốn xóa đơn hàng này không?</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-modal-confirm-delete-order">Confirm</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>